OpenPanelDocs

Get Insights By Project Id Sessions

Query sessions with optional filters.

GET
/insights/{projectId}/sessions

Query sessions with optional filters.

Path Parameters

projectId*string

Query Parameters

startDate?string
endDate?string
range?string
Value in"30min""lastHour""last24h""today""yesterday""7d""30d""3m""6m""12m""monthToDate""lastMonth""yearToDate""lastYear""custom"
country?string
city?string
device?string
browser?string
os?string
referrer?string
referrerName?string
referrerType?string
profileId?string
filters?array<>
limit?integer
Range1 <= value <= 100
Default20
Example Request
curl -X GET 'https://api.openpanel.dev/insights/string/sessions'